$(document).ready(function()
{
    $('#createTrade').change(function()
    {
        if($(this).prop('checked'))
        {
            $('.tradeTR').show();
            $('#depositor').change();
        }
        else
        {
            $('.tradeTR').hide();
            $('.currencyTR').hide();
        }
    });

    $('#product').change(function()
    {
        var product = $(this).val();
        $.get(createLink('product', 'ajaxGetSubject', 'product=' + product), function(category)
        {
            $('#category').val(category).trigger('chosen:updated');
        });
    });

    $('#updateTrade').click(function()
    {
        $('#duplicateError').append("<input type='hidden' class='duplicate' name='updateTrade' value='1'>");
        $('#updateTrade, #continueSubmit').removeClass('submit');
        $(this).addClass('submit');
        $('#receiveForm').submit();
    })

    $('#continueSubmit').click(function()
    {
        $('#duplicateError').append("<input type='hidden' class='duplicate' name='continue' value='1'>");
        $('#updateTrade, #continueSubmit').removeClass('submit');
        $(this).addClass('submit');
        $('#receiveForm').submit();
    })

    $.setAjaxForm('#receiveForm', function(response)
    {
        if(response.result == 'fail')
        {
            if(response.error && response.error.length)
            {
                $('#duplicateError').html(response.error);
                toggleDuplicate(true);
            }
        }
        else
        {
            if(response.locate == 'reload')
            {
                $.reloadAjaxModal(1500);
            }
            else
            {
                setTimeout(function(){location.href = response.locate;}, 1200);
            }
        }
    });

    $('.createDepositor').click(function()
    {
        return openEntry($(this));
    });

    $('#depositor').change(function()
    {
        var currency = $(this).find('option:selected').data('currency');
        if(!currency) return false;

        if(currency != v.mainCurrency) $('.currencyTR').show();
        if(currency == v.mainCurrency) $('.currencyTR').hide();

        $('#currency').val(currency);
        $('#currencyLabel').val(currency);
        $('.exchangeRate').toggle(currency != v.mainCurrency);

        toggleDuplicate(false);
    });

    $('#amount, #returnedDate').change(function()
    {
        toggleDuplicate(false);
    });

    $('#product').change();
    $('.currencyTR').hide();
})

function toggleDuplicate(toggle)
{
    $('#receiveForm .duplicate').toggle(toggle).attr('disabled', !toggle);
    $('#receiveForm #submit').toggle(!toggle).attr('disabled', toggle);
    $('#receiveForm #submit').attr('type', toggle ? 'common' : 'submit');
}
